Package org.eclipse.graphiti.features

## Interface IAddBendpointFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `DefaultAddBendpointFeature`

    public interface IAddBendpointFeature
    extends IFeature

The Interface IAddBendpointFeature. Feature, that can add a bendpoint to a `FreeFormConnection`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addBendpoint​(IAddBendpointContext context)` Adds a bendpoint.
`boolean` `canAddBendpoint​(IAddBendpointContext context)` Checks if bendpoint can be added.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Method Detail

#### canAddBendpoint

    boolean canAddBendpoint​(IAddBendpointContext context)

Checks if bendpoint can be added.

Parameters:
  `context` - the context
Returns:
  true, if can add bendpoint

#### addBendpoint

    void addBendpoint​(IAddBendpointContext context)

Adds a bendpoint.

Parameters:
  `context` - the context